;;;ISZAHL
;;;
;;;Prft, ob eine Zeichenkette eine Zahl ist
;;;
;;;AutoCAD-Release:	2000 (vermutlich auch auf- und abwrtskompatibel)
;;;
;;;Version:		1/0 - 22.05.2002
;;;
;;;Startaufruf:		(f:iszahl PrfString TrennZeichenString)
;;;			PrfString 		-> Zeichenkette die geprft werden soll
;;;			TrennZeichenString	-> Trennzeichen, welches z.B. bei Real-Zahlen akzeptiert werden soll
;;;	Beispiele:	(f:iszahl "0,123456789" ",")	=> T
;;;			(f:iszahl "0,123456789" ".")	=> nil
;;;			(f:iszahl "0,123456789" ",.")	=> T
;;;		ACHTUNG auch das wird akzeptiert!
;;;			(f:iszahl "123.456,7890" ",.")	=> T
;;;
;;;bentigte Dateien:   StringChecker.lsp
;;;
;;;Einschrnkungen:	nicht bekannt
;;;
;;;Programmiert:	Holger Brischke
;;;			Metro Real Estate Management GmbH
;;;			DV-CAD
;;;			66121 Saarbrcken
;;;			Mainzer Strae 180-184
;;;			[0049]-(0)681/8104-2584
;;;			brischkh@mre.de
;;;			brischke@planet-interkom.de
;;;
;;;
(defun f:iszahl (iz_st iz_trenn /)
  (setq iz_trenn (mapcar 'ascii (f:str-in-list iz_trenn)))
  (not(member
	()
	(mapcar '(lambda (Z)
		   (or
		     (<= 48 Z 57)
		     (member Z iz_trenn)
		     )
		   )
		(mapcar 'ascii (f:str-in-list iz_st))
		)
	)
      )
  )
;;;
;;;SUB
;;;
;;;Zerlegung von String in Liste aus jeweils einem Zeichen
;;;
(defun f:str-in-list (sil_str / sil_i sil_strli)
  (setq sil_i 0)
  (if (= 'STR (type sil_str))
    (reverse
      (while (< sil_i (strlen sil_str))
	(setq sil_i (1+ sil_i)
	      sil_strli (cons (substr sil_str sil_i 1) sil_strli)
	      )
	)
      )
    )
  )
